package me.icymint.libra.sage.core.dialect.query;

import me.icymint.libra.sage.model.SqlTable;
import me.icymint.libra.sage.model.SqlVar;

public class AdvancedQueryFactory {
	public static QueryVar createQueryVar(SqlTable t) {
		return createQueryVar(t, (SqlInnerFunction) null);
	}

	public static QueryVar createQueryVar(SqlTable t, SqlInnerFunction sif) {
		return new TableQueryVar(t, sif);
	}

	public static QueryVar createQueryVar(SqlTable t, SqlVar v) {
		return createQueryVar(t, v, null);
	}

	public static QueryVar createQueryVar(SqlTable t, SqlVar v,
			SqlInnerFunction sif) {
		return new BasicQueryVar(t, v, sif);
	}

	public static QueryVar createQueryVar(SqlVar v, Object value) {
		return new ConstQueryVar(v, value);
	}
}
