package me.icymint.libra.sage.core.param;

import java.sql.PreparedStatement;
import java.sql.SQLException;

/**
 * 参数处理接口。
 * 
 * @author Daniel
 * @datetime 2013-1-4上午11:30:30
 * 
 * @param <U>
 *            预处理语句
 */
public interface ParamHandler<U extends PreparedStatement> {
	/**
	 * 对给定的预处理语句赋予参数。
	 * 
	 * @param pps
	 *            预处理语句。
	 * @param sqltypes
	 *            参数列表类型。
	 * @param param
	 *            参数列表。
	 * @return 处理完毕的预处理语句。
	 * @throws SQLException
	 */
	U handle(U pps, int[] sqltypes, Object... param) throws SQLException;
}
