package me.icymint.libra.sage.core.result;

import java.lang.reflect.Array;
import java.sql.ResultSet;
import java.sql.SQLException;

/**
 * 获取一个数组List。
 * 
 * @author Daniel
 * @datetime 2012-11-12上午11:03:21
 * 
 * @param <T>
 */
public class ArrayListResult<T> extends ListResultHandler<T[]> {
	private final Class<T> cls;

	public ArrayListResult(Class<T> cls, int offset) {
		super(offset);
		this.cls = cls;
	}

	@SuppressWarnings("unchecked")
	@Override
	public T[] handle(ResultSet rs, int collumnIndex) throws SQLException {
		T[] ts = (T[]) Array
				.newInstance(cls, rs.getMetaData().getColumnCount());
		for (int i = 0; i < ts.length; i++) {
			try {
				ts[i] = (T) rs.getObject(i + 1);
			} catch (ClassCastException e) {
				throw new SQLException("第" + (i + 1) + "个参数类型不匹配！", e);
			}
		}
		return ts;
	}

}
