package me.icymint.libra.sage.model.operator;

import me.icymint.libra.sage.model.SqlTable;

public interface TableManager {
	/**
	 * 新增表格，添加到表格列表末尾。
	 * 
	 * @param t
	 * @throws SQLExistsException
	 */
	void addTable(SqlTable t) throws SQLExistsException;

	/**
	 * 删除表格。
	 * 
	 * @param t
	 */
	void delTable(SqlTable t);

	/**
	 * 获取序列为ind的表格.
	 * 
	 * @param ind
	 * @throws SQLNotExistsException
	 */
	SqlTable getTable(int ind) throws SQLNotExistsException;

	/**
	 * 获取名称为name的表格。
	 * 
	 * @param name
	 * @throws SQLNotExistsException
	 */
	SqlTable getTable(String name) throws SQLNotExistsException;

	/**
	 * 获取名称为name的表格所在的序列号。
	 * 
	 * @param name
	 */
	int getTableIndex(String name) throws SQLNotExistsException;

	/**
	 * 获取所有表格。
	 */
	SqlTable[] getTables();

	/**
	 * 获取表格总数。
	 */
	int getTableSize();
}
